Subject: Re: [Bitcoin-development] HTTP REST API for bitcoind

From: Michael Hendricks <[email-masked]>
Date: Mon, 22 Jul 2013 16:06:15 -0600

+1 and thank you. I've prototyped a couple different Bitcoin projects that
would benefit from this.

I'm traveling with poor 'net so I haven't read the patches yet. I echo pull
request comments about using Accept and Accept-Encoding headers. Same for
an API version number in the URL.

It'd be helpful, eventually, to have APIs corresponding to Bitcoin addr and
version messages.  Metadata about the network and the peer, respectively,
are valuable in my use cases.

Michael
On Jul 22, 2013 1:43 PM, "Jeff Garzik" <[email-masked]> wrote:

> URL: https://github.com/bitcoin/bitcoin/pull/2844
>
> Adding an HTTP REST API for bitcoind has been occasionally tossed
> about as a useful thing.  Such an API would essentially provide a
> decentralized block explorer capability, enabling easy external access
> to transaction/address/block indices that we maintain.
>
> The first two implemented API calls are simple, returning a block or
> TX given a simple query string based on block hash, e.g.
>
>      GET /rest/tx/TX-HASH
> or
>      GET /rest/block/BLOCK-HASH
>
> This can be easily accessed via command line cURL/wget utilities.
> Output formats -- binary, hex or json -- may be selected via a
> "bitcoin-format" header.
>
> The general goal of the HTTP REST interface is to access
> unauthenticated, public blockchain information.  There is no plan to
> add wallet interfacing/manipulation via this API.
>
> --
> Jeff Garzik
> Senior Software Engineer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
>
>
> ------------------------------------------------------------------------------
> See everything from the browser to the database with AppDynamics
> Get end-to-end visibility with application monitoring from AppDynamics
> Isolate bottlenecks and diagnose root cause in seconds.
> Start your free trial of AppDynamics Pro today!
> http://pubads.g.doubleclick.net/gampad/clk?id=48808831&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>